> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoform.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a submission

> Move one submission to the trash. You can restore it from the trash in NeetoForm.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace’s subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetoform.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/submissions.yaml DELETE /forms/{form_id}/submissions/{id}
openapi: 3.0.3
info:
  title: NeetoForm APIs
  version: 2.0.0
servers:
  - description: NeetoForm APIs
    url: https://{your-subdomain}.neetoform.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
paths:
  /forms/{form_id}/submissions/{id}:
    delete:
      tags:
        - Submissions
      summary: Delete a submission
      description: >-
        Move one submission to the trash. You can restore it from the trash in
        NeetoForm.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/form_id_param'
        - $ref: '#/components/parameters/submission_id_param'
      responses:
        '200':
          description: OK - Submission moved to the trash
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/trashed_count_response'
        '404':
          description: Not Found - The form or the submission does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error_response'
              example:
                error: Submission not found.
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    form_id_param:
      in: path
      name: form_id
      description: >-
        Unique ID of the form for which you want to retrieve submissions. Refer
        to [Getting the Form ID](/api/getting-form-id) section for detailed
        instructions.
      required: true
      schema:
        type: string
    submission_id_param:
      in: path
      name: id
      description: Unique ID of the submission.
      required: true
      schema:
        type: string
  schemas:
    trashed_count_response:
      type: object
      properties:
        trashed_count:
          type: integer
          description: Number of submissions moved to the trash.
    error_response:
      type: object
      properties:
        error:
          type: string

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.